<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2
        id="jhi-nature-sortie-heading"
        data-cy="NatureSortieCreateUpdateHeading"
        jhiTranslate="gestionPersonnel3App.natureSortie.home.createOrEditLabel"
      >
        Créer ou éditer un Nature Sortie
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.natureSortie.typeSortie" for="field_typeSortie">Type Sortie</label>
          <select class="form-control" name="typeSortie" formControlName="typeSortie" id="field_typeSortie" data-cy="typeSortie">
            <option [ngValue]="null">{{ 'gestionPersonnel3App.TypeSortie.null' | translate }}</option>
            <option *ngFor="let typeSortie of typeSortieValues" [value]="typeSortie">
              {{ 'gestionPersonnel3App.TypeSortie.' + typeSortie | translate }}
            </option>
          </select>
        </div>

        <div class="row mb-3">
          <label class="form-label" jhiTranslate="gestionPersonnel3App.natureSortie.natureSortie" for="field_natureSortie"
            >Nature Sortie</label
          >
          <input
            type="text"
            class="form-control"
            name="natureSortie"
            id="field_natureSortie"
            data-cy="natureSortie"
            formControlName="natureSortie"
          />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Annuler</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Sauvegarder</span>
        </button>
      </div>
    </form>
  </div>
</div>
